## org.apache.axis.configuration
Class BasicServerConfig

    java.lang.Object
      |
      +--org.apache.axis.configuration.SimpleProvider
            |
            +--org.apache.axis.configuration.BasicServerConfig

All Implemented Interfaces:
  EngineConfiguration

public class BasicServerConfig
extends SimpleProvider

A SimpleProvider set up with hardcoded basic configuration for a server (i.e. local transport). Mostly handy for testing.

Author:
  Glen Daniels (gdaniels@apache.org)

Field Summary

Fields inherited from interface org.apache.axis.EngineConfiguration
`PROPERTY_NAME`

Constructor Summary
`BasicServerConfig()` Constructor - deploy a hardcoded basic server-side configuration.

Methods inherited from class org.apache.axis.configuration.SimpleProvider
`configureEngine, deployService, deployService, deployTransport, deployTransport, getDeployedServices, getGlobalOptions, getGlobalRequest, getGlobalResponse, getHandler, getService, getServiceByNamespaceURI, getTransport, getTypeMapping, getTypeMappingRegistry, writeEngineConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicServerConfig

    public BasicServerConfig()

  Constructor - deploy a hardcoded basic server-side configuration.

Copyright © 2003 Apache Web Services Project. All Rights Reserved.